Subject: Re: Getting the IRQ number (Was: Basic driver devel questions ?)

From: Michael Ellerman <[email-masked]>
Date: Thu, 09 Dec 2010 11:22:36 +1100

On Wed, 2010-12-08 at 16:52 +0100, Guillaume Dargaud wrote:
> > Sorry I assumed you were working on mainline. In 2.6.35 you still need
> > to use an of_platform_driver, I'll describe below.
> 
> > So basically you need to change all occurrences of platform_driver to
> > of_platform_driver.
> 
> OK, thanks, I did that, compiled and ran the driver and its test prog... no 
> changes: xad_driver_probe() doesn't get called.
> ...?

Er. Not sure sorry. I can't see anything obviously wrong. Maybe post
your driver code again.

Also turn on CONFIG_DEBUG_DRIVER and see if that gives you anything
interesting.

cheers